summaryrefslogtreecommitdiff
path: root/wlan-ng
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-25 10:19:50 +0000
committerChris Larson <clarson@kergoth.com>2004-11-25 10:19:50 +0000
commit119b59cd0df00269bfe51d906657193217b8c884 (patch)
treebe4bc7f812a9df2c6b3f17e6c3cc9bfafad07253 /wlan-ng
parentc985a77fad25302d576fbcf92149c983887bc0b9 (diff)
Remove the EOLN_NATIVE flag from a ton of files (patches & the like for which line ending conversions can break things).
BKrev: 41a5b1c6eA2OPeQrDQEgEwAmKXvQJg
Diffstat (limited to 'wlan-ng')
-rw-r--r--wlan-ng/files/post-down31
-rw-r--r--wlan-ng/files/resume22
2 files changed, 53 insertions, 0 deletions
diff --git a/wlan-ng/files/post-down b/wlan-ng/files/post-down
index e69de29bb2..bf4ba0ae60 100644
--- a/wlan-ng/files/post-down
+++ b/wlan-ng/files/post-down
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# This script takes care of bringing down wlan-ng devices.
+# It is run by ifdown.
+
+WLANCTL=/sbin/wlanctl-ng
+
+if [ ! -x $WLANCTL ] ; then
+ exit 0
+fi
+
+case $IFACE in
+wlan?)
+ # Reset device to make sure it is not trying to generate
+ # interrupts.
+ result=`$WLANCTL $IFACE lnxreq_ifstate ifstate=disable`
+
+ # Remove modules. Of course, for all I know they are still in use
+ # by another interface, in which case these rmmods will fail. Also,
+ # depending on how modutils is set up, different prism2 modules
+ # might be loaded.
+ (
+ rmmod prism2_pci || rmmod prism2_cs || rmmod prism2_usb || \
+ rmmod prism2_plx || true
+ rmmod p80211 || true
+ ) 2>/dev/null
+
+ # Remove lock file, just in case.
+ rm -f /var/lock/wlan-$IFACE.lock
+;;
+esac
diff --git a/wlan-ng/files/resume b/wlan-ng/files/resume
index e69de29bb2..f875939da6 100644
--- a/wlan-ng/files/resume
+++ b/wlan-ng/files/resume
@@ -0,0 +1,22 @@
+#!/bin/sh
+# This script is run on resume to force a down and up of any linux-wlanng
+# iterfaces. Otherwise they could get into a weird state.
+IFACES=$(ifconfig | grep -B 1 ^wlan | cut -d ' ' -f 1)
+for iface in $IFACES; do
+ echo down $ifcase >>/tmp/log
+ ifdown $iface || ifconfig $iface down
+done
+
+rmmod prism2_pci 2>/dev/null
+rmmod prism2_usb 2>/dev/null
+rmmod prism2_cs 2>/dev/null
+rmmod prism2_plx 2>/dev/null
+rmmod p80211 2>/dev/null
+
+# There is a race here for some reason.
+sleep 2
+
+for iface in $IFACES; do
+ ifup $iface
+done
+